Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # Color Spaces [Models]
## Classes
struct | devicen_t< 1 >
| unnamed color space of one channel More...
struct | devicen_t< 2 >
| unnamed color space of two channels More...
struct | devicen_t< 3 >
| unnamed color space of three channels More...
struct | devicen_t< 4 >
| unnamed color space of four channels More...
struct | devicen_t< 5 >
| unnamed color space of five channels More...
## Typedefs
typedef mpl::vector4< cyan_t, magenta_t, yellow_t, black_t > | boost::gil::cmyk_t
typedef mpl::vector1< gray_color_t > | boost::gil::gray_t
typedef mpl::vector3< red_t, green_t, blue_t > | boost::gil::rgb_t
typedef mpl::vector4< red_t, green_t, blue_t, alpha_t > | boost::gil::rgba_t